메인 콘텐츠로 건너뛰기
GET
/
v2
/
dexpools
/
{chain}
/
{poolAddress}
DEX 풀 - 상세
curl --request GET \
  --url https://api.chainstream.io/v2/dexpools/{chain}/{poolAddress} \
  --header 'Authorization: Bearer <token>'
{
  "chain": "sol",
  "createdBlockTimestamp": "2024-01-15T10:30:00.000Z",
  "feeRate": "0.003",
  "image": "https://ipfs.io/ipfs/bafkreid7667676767676767676767676767676767676767676767676767676767676767",
  "liquidityModel": 1,
  "poolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
  "programAddress": "whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc",
  "protocolFamily": "OrcaWhirpool",
  "protocolName": "OrcaWhirpool AMM V2",
  "tickSpacing": 64,
  "tokenAAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
  "tokenALiquidity": {
    "amountInNative": "5000.123",
    "amountInUsd": "1000000.45",
    "decimals": 6,
    "priceNative": "0.005",
    "priceUsd": "1.0001",
    "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
    "vaultAmount": "1000000000000"
  },
  "tokenBAddress": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
  "tokenBLiquidity": {
    "amountInNative": "5000.123",
    "amountInUsd": "1000000.45",
    "decimals": 6,
    "priceNative": "0.005",
    "priceUsd": "1.0001",
    "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
    "vaultAmount": "1000000000000"
  },
  "tokenCount": 2,
  "tvlInSol": "1000000.45",
  "tvlInUsd": "1000000.45",
  "type": 1,
  "version": 2
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

경로 매개변수

chain
enum<string>
필수

지원되는 네트워크에 나열된 체인 이름 지원되는 블록체인

사용 가능한 옵션:
sol,
eth,
bsc
poolAddress
string
필수

풀 주소

응답

200 - application/json

성공 응답

DEX 풀 상세

chain
string
필수

체인 식별자

poolAddress
string
필수

풀 주소

tokenAAddress
string
필수

Token A 주소

tokenBAddress
string
필수

Token B 주소

createdBlockTimestamp
string | null

생성 블록 타임스탬프

feeRate
string | null

수수료율

image
string | null

이미지 URL

liquidityModel
integer<int32> | null

유동성 모델

필수 범위: x >= 0
programAddress
string | null

DEX 프로그램 주소

protocolFamily
string | null

프로토콜 패밀리

protocolName
string | null

프로토콜 이름

tickSpacing
integer<int64> | null

Tick 간격

tokenALiquidity
object

Token A 유동성

tokenBLiquidity
object

Token B 유동성

tokenCount
integer<int32> | null

토큰 개수

tvlInSol
string | null

TVL(네이티브 토큰)

tvlInUsd
string | null

TVL(USD)

type
integer<int32> | null

풀 유형

필수 범위: x >= 0
version
integer<int32> | null

풀 버전

필수 범위: x >= 0